Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class SAX2BufferImpl.StartElementData

    java.lang.Object
      org.jasig.portal.utils.SAX2BufferImpl.ThreeString
          org.jasig.portal.utils.SAX2BufferImpl.StartElementData

Enclosing class:
  SAX2BufferImpl

    private class SAX2BufferImpl.StartElementData

extends SAX2BufferImpl.ThreeString

Field Summary
`org.xml.sax.helpers.AttributesImpl` | `ai`

Fields inherited from class org.jasig.portal.utils.SAX2BufferImpl.ThreeString
`first, second, third`

Constructor Summary
`SAX2BufferImpl.StartElementData(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Method Summary
`org.xml.sax.Attributes` | `getAtts()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getQName()`
`java.lang.String` | `getURI()`

Methods inherited from class org.jasig.portal.utils.SAX2BufferImpl.ThreeString
`getFirst, getSecond, getThird`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ai

    public org.xml.sax.helpers.AttributesImpl ai

Constructor Detail

### SAX2BufferImpl.StartElementData

    SAX2BufferImpl.StartElementData(java.lang.String uri,
                                    java.lang.String localName,
                                    java.lang.String qName,
                                    org.xml.sax.Attributes atts)

Method Detail

### getURI

    public java.lang.String getURI()

### getLocalName

    public java.lang.String getLocalName()

### getQName

    public java.lang.String getQName()

### getAtts

    public org.xml.sax.Attributes getAtts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD